This URL gets the details of a Controller based on the Controller name.
Resource URL
GET /controller
Request Parameters
Query Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Controller name | string | Yes |
Payload Parameters:
None
Response Parameters
Following fields are returned in the response.
Field Name | Description | Data Type |
|---|---|---|
| Indicates if the GET operation is successful. Value is set to Value is set to | string |
| Message if the GET operation is successful | string |
| Error message if GET operation is not successful | string |
| Not applicable | Not applicable |
| Controller details | object |
Details of data
Field Name | Description | Data Type |
|---|---|---|
| Cloud unique Id of the Controller instance | string |
| Hostname on which the Controller is installed | string |
| Version of the Controller | string |
| Version of the Virtual Probe | string |
| Controller name | string |
| Description of the Controller | string |
| Controller ID | number |
| IP address of the Controller | string |
| Domain ID | number |
| Shared secret key | string |
| Status of the Controller | string |
| Creation time of the Controller | number |
| Cloud accounts configured for the Controller | string |
| Last modified time of the Controller | number |
Example
Request
GET https://<NSM_IP>/intruvert/webservice/api/v1/cloud/controller?name=TestController
Response
{
"success": true,
"msg": null,
"errMsg": null,
"domainName": null,
"data": {
"cloudUuid": "cloudUID",
"hostName": "NSMAppliance",
"controllerVersion": "1.0.141",
"agentVersion": "1.0.141",
"name": "local",
"description": "Default Internal controller running in NSM.",
"controllerId": 1,
"serviceIp": "10.15.1.2",
"subscriberId": 0,
"sharedSecretKey": "7a4a7b462c2f5a454e792118591d5c5c",
"status": "ONLINE",
"creationTime": null,
"cloudAccounts": null,
"lastModifiedTime": 1555003528000
},
"controllerName": "TestController"
}